summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Asaf Ohayon2016-09-08 14:33:00 +0200
committer Willy Sudiarto Raharjo2016-09-08 14:33:00 +0200
commit1fbe9244dbf553f59d3421d17233ee71887c2e7e (patch)
tree05198647d8fff3518e7527731ed7cd25c8fd165f
parent112b58229e4741ef0c272ce4fe79145fbf6bae98 (diff)
downloadslackbuilds-1fbe9244dbf553f59d3421d17233ee71887c2e7e.tar.gz
system/containerd: Added (linux containers manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/containerd/README1
-rw-r--r--system/containerd/containerd.SlackBuild83
-rw-r--r--system/containerd/containerd.info10
-rw-r--r--system/containerd/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/containerd/README b/system/containerd/README
new file mode 100644
index 0000000000..29bc5fbb2c
--- /dev/null
+++ b/system/containerd/README
@@ -0,0 +1 @@
+A daemon to control OCI container runtimes
diff --git a/system/containerd/containerd.SlackBuild b/system/containerd/containerd.SlackBuild
new file mode 100644
index 0000000000..298911d25c
--- /dev/null
+++ b/system/containerd/containerd.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for containerd
+# Written by Asaf Ohayon <asaf@sysbind.co.il>
+
+PRGNAM=containerd
+VERSION=${VERSION:-0.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/containerd-${VERSION}.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+# the have symlinks in their testdata that goes outside the context of this build
+find -L . ! -type l \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o ! -type l \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+source /etc/profile.d/go.sh
+
+unset GOPATH
+export GOPATH="${TMP}/${PRGNAM}-${VERSION}"
+mkdir -p src/github.com/docker
+cd src/github.com/docker/
+ln -rsf "${TMP}/${PRGNAM}-${VERSION}" containerd
+cd containerd
+LDFLAGS= make
+
+cd src/github.com/docker/containerd/bin
+for file in $(find . -type f -print); do
+ echo ${file}
+ install -Dm755 ${file} ${PKG}/usr/bin/${file}
+ file=$(echo ${file} | sed 's/\.\///g')
+ if [[ "${file}" == "ctr" ]]; then
+ ln -s ${file} ${PKG}/usr/bin/docker-containerd-${file}
+ else
+ ln -s ${file} ${PKG}/usr/bin/docker-${file}
+ fi
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/containerd/containerd.info b/system/containerd/containerd.info
new file mode 100644
index 0000000000..b1f9821a6b
--- /dev/null
+++ b/system/containerd/containerd.info
@@ -0,0 +1,10 @@
+PRGNAM="containerd"
+VERSION="0.2.3"
+HOMEPAGE="https://github.com/docker/containerd"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/docker/containerd/archive/v$VERSION.tar.gz"
+MD5SUM_x86_64="aa2979c51960332878038147c420aa7d"
+REQUIRES="google-go-lang runc"
+MAINTAINER="Asaf Ohayon"
+EMAIL="asaf@sysbind.co.il"
diff --git a/system/containerd/slack-desc b/system/containerd/slack-desc
new file mode 100644
index 0000000000..ac266de253
--- /dev/null
+++ b/system/containerd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+containerd: containerd (manager for applications in linux containers)
+containerd:
+containerd: Containerd is an open-source project to easily create lightweight,
+containerd: portable, self-sufficient containers from any application. The same
+containerd: container that a developer builds and tests on a laptop can run at
+containerd: scale, in production, on VMs, bare metal, OpenStack clusters, public
+containerd: clouds and more.
+containerd:
+containerd: Homepage: https://containerd.io/
+containerd:
+containerd: